import request from '@/utils/request'

// 查询软件配置库信息列表
export function listSoftwareConfig(query) {
  return request({
    url: '/manage/softwareConfig/list',
    method: 'get',
    params: query
  })
}

// 查询软件配置库信息详细
export function getSoftwareConfig(id) {
  return request({
    url: '/manage/softwareConfig/' + id,
    method: 'get'
  })
}

// 新增软件配置库信息
export function addSoftwareConfig(data) {
  return request({
    url: '/manage/softwareConfig',
    method: 'post',
    data: data
  })
}

// 修改软件配置库信息
export function updateSoftwareConfig(data) {
  return request({
    url: '/manage/softwareConfig',
    method: 'put',
    data: data
  })
}

// 删除软件配置库信息
export function delSoftwareConfig(id) {
  return request({
    url: '/manage/softwareConfig/' + id,
    method: 'delete'
  })
}
